<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Instansi</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Instansi</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 grid-margin stretch-card">

                    <div class="card">
                        <div class="card-header">
                            <h4>List</h4>
                            <div class="card-header-action">
                                <a th:href="@{/masters/instansi/new}" class="btn btn-primary">+ New</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-9">

                                </div>
                                <div class="col-md-3">
                                    <form method="get">
                                        <div class="form-group">
                                            <div class="input-group">
                                                <input type="text" class="form-control" name="search" th:value="${search}" placeholder="Search ...">
                                                <div class="input-group-append">
                                                    <button class="btn btn-sm btn-primary" type="submit">Search</button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="alert alert-fill-success" role="alert" th:if="${success != null}">
                                <i class="mdi mdi-alert-circle"></i> Save data successful... </div>
                            <div class="alert alert-fill-success" role="alert" th:if="${delete != null}">
                                <i class="mdi mdi-alert-circle"></i> Delete data successful... </div>
                            <div class="alert alert-fill-danger" role="alert" th:if="${gagal != null}">
                                <i class="mdi mdi-alert-circle"></i> Data tidak bisa dihapus, karena ada data departemen yang terkait dengan instansi tersebut. </div>
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th> No </th>
                                    <th> Code </th>
                                    <th> Name </th>
                                    <th> Description </th>
                                    <th>  </th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="dataInstansi,row : ${listInstansi}">
                                    <td th:text="${(row.index + 1) + (listInstansi.number * listInstansi.size)}"></td>
                                    <td th:text="${dataInstansi.kode}"> Herman Beck </td>
                                    <td th:text="${dataInstansi.nama}"></td>
                                    <td th:text="${dataInstansi.keterangan}"> $ 77.99 </td>
                                    <td>
                                        <div class="dropdown">
                                            <button class="btn btn-success btn-xs dropdown-toggle" type="button" id="dropdownMenuSizeButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                <i class="mdi mdi-dots-vertical"></i> </button>
                                            <div class="dropdown-menu" aria-labelledby="dropdownMenuSizeButton3">
                                                <h6 class="dropdown-header">Actions</h6>
                                                <a class="dropdown-item" href="#">Detail</a>
                                                <a class="dropdown-item" th:href="@{/masters/instansi/edit(instansi=${dataInstansi.id})}">Edit</a>
                                                <div class="dropdown-divider"></div>
                                                <form method="post" th:action="@{/masters/instansi/hapus(instansi=${dataInstansi.id})}">
                                                    <button type="submit" class="dropdown-item" onclick="return confirm('Are you sure want to delete this?')">Delete</button>
                                                </form>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                            <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                <nav>
                                    <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                                        <li class="page-item"><a class="page-link" href="#">4</a></li>
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

</body>
</html>